#include <stdio.h>
#include <unistd.h>

#define PROCESSES 10
#define TRUE 1
#define FALSE 0

/* Current identifier */
int id;

int main()
{
  int pid;
  int stop = FALSE;
  int i;
  id = 0;
  for (i=1; i < PROCESSES && !stop; i++) {
    pid = fork();
    if (pid < 0) {
      /* Error */
      perror("Bad fork");
      exit(1);
    } else if (pid > 0) {
      /* Parent */
    } else {
      /* Child */
      id = i;
      stop = TRUE;
    }
  }
  printf("My data: id %d, pid %d, child pid %d\n", id, getpid(), pid);

}
